<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not schema_edit_pref then
	response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<%
dim objCat
dim objTbl
dim objFld

dim strTableName

strTableName = request.querystring("table")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if 

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTbl = objCat.tables(strTableName)

%>
<div id="content-header">Add Column: <%= strTableName%></div>
<div id="content-body"> 
<form name="addfield" action="controllers/do_addField.asp" method="post">
<% writeHiddenFields("table") %>
<table border="0" width="300" cellspacing="5">
<tr>
	<td><b>Name</b></td>
	<td><input type="text" size="20" name="fieldName" /></td>
</tr>
<tr>
	<td><b>Type</b></td>
	<td>
	<select name="fieldType">
		<option value="11">Boolean</option>
		<option value="6">Currency</option>
		<option value="7">Date</option>
		<option value="134">Time</option>
		<option value="5">Double</option>
		<option value="72">AutoNumber</option>
		<option value="3">Integer</option>
		<option value="203">Long String (null terminated)</option>
		<option value="202">String</option>
		<option value="4">Single</option>
		<option value="2">Small Integer</option>
	</select>
	</td>
</tr>
<tr>
	<td><b>Size</b></td>
	<td><input type="text" name="fieldSize" size="10" /></td>
</tr>
<tr>
	<td><b>Default Value</b></td>
	<td><input type="text" name="defaultValue" /></td>
</tr>
<tr>
        <td><b>Autoincrement</b></td>
        <td><input type="checkbox" name="autoincrement" value="checked" /></td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="submit" name="submit" value="Add Column" />&nbsp;
		<input type="reset" name="reset" value="Reset" />
	</td>
</tr>
</table>
</form>
</div>


<!--#include file="includes/bottom.asp"-->

<%
function formatType(tbl_type)
        select case tbl_type
                case 11
                        formatType = "Boolean"
                case 6
                        formatType = "Currency"
                case 7
                        formatType = "Date"
                case 5
                        formatType = "Double"
                case 72
                        formatType = "AutoNumber"
                case 3
                        formatType = "Integer"
                case 203
                        formatType = "Long String (null terminated)"
                case 4
                        formatType = "Single"
                case 2
                        formatType = "Small Integer"
                case 202
                        formatType = "Unicode String"
                case else
                        formatType = tbl_type
        end select
end function
%>
