<%
'*************************************************************
'*  VB Script Database Utilities V2.2
'*
'*  Copyright (C) 2003, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'* 
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License as published by the Free Software Foundation; either
'*  version 2.1 of the License, or (at your option) any later version.
'* 
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*  
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'*
'*  MODIFICATION HISTORY:
'*  1.0    10-Feb-2002 - Neal Clark (info@clarkmultimedia.com) - Initial Version (VB/ASP code)
'*
'*************************************************************

'*************************************************************
'* PRE:  connection is a valid datbase connection
'*       tableName and fieldName exist
'* POST: the incremented value has been saved to the 
'*       database and returned by the function
'*************************************************************
function CMM__uniqueID(connection, tableName, fieldName)
	dim tmp, uniqueID
	set uniqueID = Server.CreateObject("ADODB.Recordset")
	
	dim strSql
	strSql = "SELECT ID FROM " & tableName & " WHERE Name = '" & fieldName & "'"
	
	uniqueID.Open strSql, connection, adOpenForwardOnly, adLockPessimistic, adCmdText
		
	if not uniqueID.BOF or not uniqueID.EOF then
		tmp = uniqueID.Fields.Item("ID").Value
		tmp = tmp + 1
		uniqueID.Fields.Item("ID").Value = tmp
		CMM__uniqueID = tmp
	end if

	uniqueID.Update
	
	uniqueID.Close
	
	set uniqueID = nothing
end function
%>