<%
'*************************************************************
'*  VB Script URL Utility V 1.0
'*
'*  Copyright (C) 2003, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*  or by snail mail to:
'*
'*  Clark Multimedia
'*  2313 Boulder Ridge
'*  Whistler, BC, V0N 1B2
'*  Canada
'* 
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License as published by the Free Software Foundation; either
'*  version 2.1 of the License, or (at your option) any later version.
'* 
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*  
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'*
'*  MODIFICATION HISTORY:
'*  1.0    03-Aug-2004 - Neal Clark (info@clarkmultimedia.com) - Initial Version (VB/ASP code)
'*
'*  TODO:
'*************************************************************

function createRequestUrl(url, strparams)
	dim params
	dim pos
	dim tmp
	dim first
	
	if instr(url,"?") > 0 then
		first = false
	else
		first = true
	end if
	
	tmp = url
	params = split(strparams, ",")
	
	for pos = 0 to ubound(params)
		if request(params(pos)) <> "" then
			if first then
				tmp = tmp & "?" & params(pos) & "=" &  request(params(pos)) 
			else
				tmp = tmp & "&" & params(pos) & "=" &  request(params(pos)) 
			end if
			first = false
		end if
	next
	
	createRequestUrl = replace(tmp, "&", "&amp;")
end function

function checkQueryStringExists(strparams)
	dim params
	dim pos
	
	params = split(strparams, ",")
	
	for pos = 0 to ubound(params)
		if params(pos) = "" then
			checkQueryStringExists = false
			exit function
		end if
	next
	checkQueryStringExists = true
end function

sub writeHiddenFields(strparams)
	dim params
	dim pos
	
	params = split(strparams, ",")
	
	for pos = 0 to ubound(params)
		if request(params(pos)) <> "" then
			response.write "<input type=""hidden"" name=""" & params(pos) & """ value="""&request(params(pos))&""" />" & vbnewline
		end if
	next
end sub

sub writeHiddenField(fldname, fldvalue)
	response.write "<input type=""hidden"" name=""" & fldname & """ value="""& fldvalue &""" />" & vbnewline
end sub

sub preserveFormVariables()
	dim fieldName
	for each fieldName in request.form
		response.write "<input type=""hidden"" name="""& fieldName & """ value=""" & request.form(fieldName) & """ />" & vbnewline
	next
end sub

%>
