<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<% option explicit %>
<!--#include file="../com/clarkmultimedia/misc/inc_adovbs.asp"-->
<!--#include file="../com/clarkmultimedia/class/authentication.class.asp"-->
<!--#include file="../com/clarkmultimedia/class/vector.class.asp"-->
<!--#include file="../com/clarkmultimedia/misc/inc_state_functions.asp"-->
<%
' database directory
const DB_DIR = "C:\wwwroot\nclark\db\clarkmultimedia\myaccess\"

' site configuration
const SITE_ROOT = "/projects/myaccess/"

dim conn_str
dim db_conn
dim schema_edit_pref
dim database_edit_pref
dim myaccess_use_auth
dim myaccess_admin_user
dim myaccess_admin_password
dim myaccess_auth_param

' set this value to false to disable schema editing
schema_edit_pref = true

' set this value to false to enable readonly mode
database_edit_pref = true

' set this to true if you want to enable user authentication
' passowrd must be entered as an md5 hash for security reasons
' to create an md5 hash of your password run util/passgen.asp
myaccess_use_auth = true
myaccess_admin_user = "admin" 
myaccess_admin_password = "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"


' database selection
const DATABASE_PAGE = "viewDatabases.asp"
const DATABASE_SESSION = "MYA_DATABASE"

' ensure if database is readonly then the schema can't be edited
schema_edit_pref = schema_edit_pref and database_edit_pref

on error resume next

if session(DATABASE_SESSION) <> ""  then

	conn_str = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & DB_DIR & session(DATABASE_SESSION)  & "; Jet OLEDB:Engine Type=5;"

	set db_conn = server.createObject("ADODB.Connection")

	if not database_edit_pref then
		db_conn.mode = 1 'read 
	end if  

	db_conn.open conn_str

	if err.number <> 0 and request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "error.asp" then
		response.write request.serverVariables("SCRIPT_NAME") & " : " &  SITE_ROOT & "error.asp" 
		response.redirect SITE_ROOT & "error.asp?error=" & err.description & "&arrNum=" & err.number
	end if

end if 
 
on error goto 0
 
' query string parameter prefixes
const MYA_QS_PREFIX = "mya_"

' User authentication settings
const LOGIN_PAGE = "login.asp"
const LOGOUT_PAGE = "logout.asp"
const LOGIN_REDIRECT = "index.asp"
const LOGIN_PARAM = "AUTHENTICATED"
const LOGIN_USER_PARAM = "USERNAME"
const LOGIN_REQUIRED = "login_required"
const LOGIN_REFERER = "referer"
const LOGIN_FAILED_PARAM = "login-failed"
const LOGIN_GROUP = "access-group"

const LOGIN_BG_COLOUR = "#E8E8E8"
const LOGIN_HEAD_COLOUR = "#333366"

' check authentication
if myaccess_use_auth then
	if session("LOGIN_PARAM") <> myaccess_admin_password then
		if request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & LOGIN_PAGE and request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "controllers/do_login.asp" and request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "error.asp" then
			response.redirect SITE_ROOT & LOGIN_PAGE & "?" & LOGIN_REFERER & "=" &  request.serverVariables("SCRIPT_NAME")
		end if
	else
		' check database session
		if (request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & DATABASE_PAGE and _
			request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "controllers/do_setDatabase.asp" and _
			request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "controllers/do_createDatabase.asp" and _
			request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "createDatabase.asp"  and _
			request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "controllers/do_deleteDatabase.asp" and _
                        request.serverVariables("SCRIPT_NAME") <> SITE_ROOT & "deleteDatabase.asp" ) and _
			session(DATABASE_SESSION) = ""  then
			response.redirect SITE_ROOT & DATABASE_PAGE
		end if
		
	end if
end if
                                                                                                           
%>
