<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not database_edit_pref then
        response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<!--#include file="includes/inc_inputValidation.asp"-->
<%
dim objCat
dim objTable
dim objColumn
dim objRs
dim strSql
dim strTableName

strTableName = request.querystring("table")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if 

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTable = objCat.tables(strTableName)
set objRs = server.createObject("ADODB.Recordset")

strSql = " SELECT * FROM " & objTable.name &_
	 " WHERE " & getSqlWhere(objTable)

objRs.Open strSql, db_conn, adOpenForwardOnly, adLockPessimistic, adCmdText

%>
<div id="content-header">Update Record: <%= strTableName %></div>
<div id="content-body"> 
<form name="updateForm" action="controllers/do_updateRecord.asp" method="post">
<% 
writeHiddenFields("table") 

for each objColumn in objTable.columns
                                                                                                                                           
' do not display autoincrement fields
if objColumn.properties("Autoincrement") then
	writeHiddenField MYA_QS_PREFIX & objColumn.name, objRs.fields.item(objColumn.name).value 
end if
set objColumn = nothing

next
%>


<table border="0" width="100%" cellspacing="5">
<%
for each objColumn in objTable.columns

if not objColumn.properties("Autoincrement") then
%>
<tr>
	<td width="75" nowrap="nowarp" ><b><%= objColumn.name %></b></td>
	<td><input type="text" size="20" name="<%= MYA_QS_PREFIX & objColumn.name%>" <%
	if request.queryString("err_" & MYA_QS_PREFIX & objColumn.name) <> "" then
		response.write "value=""" & request.queryString(MYA_QS_PREFIX & objColumn.name) & """ />"
	else
		response.write "value=""" & objRs.fields.item(objColumn.name).value & """ />"
	end if

        printError "err_" & MYA_QS_PREFIX & objColumn.name	
%>
</td>
</tr>
<%
end if
set objColumn = nothing
next
%>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="submit" name="submit" value="Update Record" />&nbsp;
		<input type="reset" name="reset" value="Reset" />
	</td>
</tr>
</table>
</form>
</div>
<%
set objCat = nothing
set objTable = nothing
%>
<!--#include file="includes/bottom.asp"-->

<%
function getSqlWhere(objTable)
	dim objIndex
	dim strFlds
	dim objCol

	for each objIndex in objTable.indexes
		if objIndex.primaryKey then
			for each objCol in objIndex.columns
				strFlds = strFlds & " AND " & objCol.name & " = " &_
				formatByType(request.querystring(MYA_QS_PREFIX & objCol.name), objTable.columns.item(objCol.name).type)
			next		
			
			getSqlWhere = right(strFlds, len(strFlds) - 4)
			exit function
		end if
	next	
end function

function formatByType(strValue, intType)
	select case(intType)
		case 8, 129, 130, 200, 201, 202, 203
			formatByType = "'" & strValue & "'"
		case 7, 133, 134, 135
			formatByTupe = "#" & strValue & "#"
		case else 
			formatByType = strValue

	end select
end function
%>
