<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not schema_edit_pref then
        response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<%
dim objCat
dim objTbl
dim objFld
dim strTableName

strTableName = request.querystring("table")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTbl = objCat.tables(strTableName)

%>
<div id="content-header">View Columns: <%= strTableName%></div>
<div id="content-options">
[ <a href="<%= createRequestUrl("viewTable.asp", "table") %>">View Table</a> ]&nbsp;
[ <a href="<%= createRequestUrl("viewKeys.asp", "table") %>">View Keys</a> ]&nbsp;
[ <a href="<%= createRequestUrl("viewIndexes.asp", "table") %>">View Indexes</a> ]&nbsp;
[ <a href="<%= createRequestUrl("addField.asp", "table") %>">Add Column</a> ]
</div>
<div id="content-body"> 
<table border="0" width="100%" cellspacing="0">
<tr>
	<td width="10">&nbsp;</td>
	<td><b>Name</b></td>
	<td><b>Type</b></td>
	<td><b>Attributes</b></td>
	<td><b>Max Size</b></td>
	<td><b>Default Value</b></td>
	<td width="20">&nbsp;</td>
	<td width="20">&nbsp;</td>
</tr>
<%
dim bgtoggle
bgtoggle = true

for each objFld in objTbl.columns
if bgtoggle then
	response.write "<tr bgcolor=""#ffffff"">" & vbnewline
else
	response.write "<tr>" & vbnewline
end if
%><td><a href="editColumn.asp?table=<%= strTableName %>&column=<%= objFld.name %>">
<img src="images/edit.gif" border="0" />
</a></td>
<%
response.write "<td>" & objFld.name & "</td>" & vbnewline
response.write "<td>" & formatType(objFld.type) & "</td>" & vbnewline
response.write "<td>" & objFld.attributes & "</td>" & vbnewline
response.write "<td>" & objFld.definedSize & "</td>" & vbnewline
response.write "<td>" & objFld.properties("Default").value & "</td>" & vbnewline
%>
<td><a href="<%=createRequestUrl("addKey.asp?field="& objFld.name, "table") %>"><img src="images/key.gif" alt="Keys" border="0"/></a></td>
<%
response.write "<td align=""right""><a href=""" & createRequestUrl("deleteField.asp?field="& objFld.name, "table") & """>"
response.write "<img src=""images/trash.gif"" border=""0"" alt=""Delete " & objFld.name & """ /></a></td>" & vbnewline

response.write "</tr>" & vbnewline

bgtoggle = not bgtoggle
next	
%>
</table>
</div>


<!--#include file="includes/bottom.asp"-->

<%
function formatType(tbl_type)
        select case tbl_type
                case 20
                        formatType = "BigInt"
                case 128
                        formatType = "Binary"
                case 11
                        formatType = "Boolean"
                case 8
                        formatType = "BSTR"
                case 6
                        formatType = "Currency"
                case 7
                        formatType = "Date"
                case 133
                        formatType = "DBDate"
                case 134
                        formatType = "DBTime"
                case 135
                        formatType = "DbTimeStamp"
                case 5
                        formatType = "Double"
                case 0
                        formatType = "Empty"
                case 72
                        formatType = "AutoNumber"
                case 3
                        formatType = "Integer"
                case 201
                        formatType = "Long String"
                case 203
                        formatType = "Long String (null terminated)"
                case 131
                        formatType = "Numeric"
                case 4
                        formatType = "Single"
                case 2
                        formatType = "Small Integer"
                case 16
                        formatType = "Tiny Integer"
                case 202
                        formatType = "Unicode String"
                case else
                        formatType = tbl_type
        end select
end function
%>
