<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<!--#include file="includes/top.asp"-->
<%
dim strTableName

strTableName = request.querystring("table")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if 
%>
<div id="content-header">View Table: <%= strTableName%></div>
<% if schema_edit_pref then %>
<div id="content-options">
[ <a href="<%= createRequestUrl("viewFields.asp", "table") %>">View Columns</a> ]&nbsp;
[ <a href="<%= createRequestUrl("viewKeys.asp", "table") %>">View Keys</a> ]&nbsp;
[ <a href="<%= createRequestUrl("viewIndexes.asp", "table")%>">View Indexes</a> ]&nbsp;
<% if hasFields(strTableName) then%>
[ <a href="<%= createRequestUrl("insertRecord.asp", "table") %>">Insert Record</a> ]
<% end if%>
</div>
<% elseif database_edit_pref and hasFields(strTableName) then  %>
<div id="content-options">
[ <a href="<%= createRequestUrl("insertRecord.asp", "table") %>">Insert Record</a> ]
</div>
<% end if%>
<% if not hasFields(strTableName) then%>
<div id="content-warning">
There are no fields defined for this table!
To add fields go to the <a href="<%=  createRequestUrl("addField.asp", "table")%>">add fields</a> page.
</div>
<% elseif not hasPrimaryKey(strTableName) then %>
<div id="content-warning">
There is no primary key defined for this table! <br /> 
To specify a primary key for this table go to the 
<a href="<%=  createRequestUrl("addIndex.asp", "table")%>">add index page</a> 
and add an index with the primary key attribute set to true. 
</div>
<% 
end if
%>
<div id="content-body"> 
<iframe width="100%" height="400" frameborder="0"  src="<%= createRequestUrl("viewTableFrame.asp", "table") %>"></iframe>

</div>
<!--#include file="includes/bottom.asp"-->

<%
function hasPrimaryKey(table)
	dim objCat
	dim objIndexes
	dim objIndex

	set objCat = server.createObject("ADOX.Catalog")
	objCat.activeConnection = db_conn
	
	set objIndexes = objCat.tables.item(table).indexes
	
	for each objIndex in objIndexes 	
		if  objIndex.primaryKey then
			hasPrimaryKey = true
			exit function
		end if
	next	
	hasPrimaryKey = false
end function

function hasFields(table)
	dim objCat
	
	set objCat = server.createObject("ADOX.Catalog")
        objCat.activeConnection = db_conn
	
	hasFields = objCat.tables.item(table).columns.count > 0
end function
%>
