<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'*
' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
dim objCat
dim objTable
dim objFld
dim objRs

dim strSql
dim strTableName
dim strKeyString
dim bgtoggle
dim strSortOrder
dim strSortField
dim strOrderSql
dim strTmpOrder

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn
 
strTableName = request.querystring("table")
strSortOrder = request.querystring("sortorder")
strSortField = request.querystring("sortfield")

if not checkQueryStringExists("table") then
	response.redirect "noFieldsFrame.asp"
end if

if objCat.tables.item(strTableName).columns.count < 1 then
	response.redirect "noFieldsFrame.asp"
end if

set objTable = objCat.tables.item(strTableName)
set objRs = server.createObject("ADODB.Recordset")

if strSortOrder <> "" and strSortField <> "" then
	strOrderSql = " ORDER BY " & strSortField & " "  & strSortOrder & " "
end if

strSql = "SELECT * FROM " & strTableName & strOrderSql
	
objRs.Open strSql, db_conn, adOpenForwardOnly, adLockPessimistic, adCmdText

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>MyAccess - Database Editor</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="css/styles.css" type="text/css" />
</head>
<body bgcolor="#e8edef">
<table border="0" width="100%" cellspacing="0">
<tr>
<% if database_edit_pref then %>
<td width="20">&nbsp;</td>
<% end if %>
<%
for each objFld in objRs.fields
	if strSortField <> objFld.name then
		strTmpOrder = "ASC"
	else
		if strSortOrder <> "ASC" then
	        	strTmpOrder = "ASC"
		else
       			strTmpOrder = "DESC"
		end if
	end if 

	response.write "<td><a href="""& request.serverVariables("SCRIPT_NAME") & "?table=" & strTableName & "&sortfield=" & objFld.name & "&sortorder=" & strTmpOrder & """><b>" & objFld.name & "</b></a></td>"
next 

if database_edit_pref then
%>
<td width="20">&nbsp;</td>
<% end if %>
</tr>
<% 
bgtoggle = true

while not objRs.EOF %>
<%
if bgtoggle then
	response.write "<tr bgcolor=""#ffffff"">" & vbnewline
else
	response.write "<tr>" & vbnewline
end if
strKeyString = getKeyString(objTable, objRs)

if database_edit_pref then 
	if trim(strKeyString) <> "" then
	%>
	<td><a href="updateRecord.asp?table=<%=strTableName & strKeyString %>" target="_top"><img src="images/edit.gif" border="0" alt="Edit Record" /></a></td>
	<%
	else
	%>
	<td>&nbsp;</td>
	<%
	end if
end if

for each objFld in objRs.fields
        response.write "<td nowrap=""nowrap"">"
	if objFld.type = 205 then
		response.write "<a href=""controllers/do_binaryDownload.asp?table=" & strTableName & strKeyString & "&field=" & objFld.name & """>Download</a>"
	else
		if len(objFld.value) > 75 then
			response.write server.htmlEncode(left(objFld.value, 75)) & "..."
		else 
			response.write server.htmlEncode(objFld.value & "")
		end if
	end if
	response.write  "</td>" & vbnewline
next                   

if database_edit_pref then ' read only mode
if trim(strKeyString) <> "" then                                          
%>
<td><a href="deleteRecord.asp?table=<%=strTableName  & getKeyString(objTable, objRs) %>" target="_top"><img src="images/trash.gif" border="0" alt="Delete Record" /></a></td>
</tr>
<%
else
%>
	<td>&nbsp;</td>
<%
end if
end if ' read only mode

bgtoggle = not bgtoggle
objRs.moveNext()
wend %>
</table>
</body>
</html>

<%
function getKeyString(objTable, objRs)
        dim objIndex
        dim strFlds
        dim objCol

        for each objIndex in objTable.indexes
                if objIndex.primaryKey then
                        for each objCol in objIndex.columns
                                strFlds = strFlds & "&" & MYA_QS_PREFIX & objCol.name & "=" & objrs.fields.item(objCol.name).value
                        next

                        getKeyString = strFlds
                        exit function
                end if
        next
end function

%>
