<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not schema_edit_pref then
	response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<%
dim objCat
dim objTable
dim objColumn

dim strTableName
dim strColumnName

strTableName = request.querystring("table")
strColumnName = request.querystring("column")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if 

if not checkQueryStringExists("column") then
	response.redirect "viewFields.asp?table=" & strTableName
end if 

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTable = objCat.tables(strTableName)
set objColumn = objTable.columns.item(strColumnName)

%>
<div id="content-header">Add Column: <%= strTableName%></div>
<div id="content-body"> 
<form name="addfield" action="controllers/do_editColumn.asp" method="post">
<% writeHiddenFields("table,column") %>
<table border="0" width="300" cellspacing="5">
<tr>
	<td><b>Name</b></td>
	<td><input type="text" size="20" name="fieldName" value="<%= objColumn.name %>" /></td>
</tr>
<tr>
	<td><b>Default Value</b></td>
	<td><input type="text" name="defaultValue" value="<%= objColumn.properties("Default").value %>" /></td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="submit" name="submit" value="Edit Column" />&nbsp;
		<input type="reset" name="reset" value="Reset" />
	</td>
</tr>
</table>
</form>
</div>


<!--#include file="includes/bottom.asp"-->

<%
sub setChecked(value)
	if value then
		response.write " checked=""checked"" "
	end if
end sub

sub isType(type1, type2)
	if type1 = type2 then
		response.write " selected=""selected"" "
	end if
end sub

function formatType(tbl_type)
        select case tbl_type
                case 11
                        formatType = "Boolean"
                case 6
                        formatType = "Currency"
                case 7
                        formatType = "Date"
                case 5
                        formatType = "Double"
                case 72
                        formatType = "AutoNumber"
                case 3
                        formatType = "Integer"
                case 203
                        formatType = "Long String (null terminated)"
                case 4
                        formatType = "Single"
                case 2
                        formatType = "Small Integer"
                case 202
                        formatType = "Unicode String"
                case else
                        formatType = tbl_type
        end select
end function
%>
