<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not schema_edit_pref then
        response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<%
dim objCat
dim objTbl
dim objIndex
dim strTableName
dim bgtoggle

strTableName = request.querystring("table")

if not checkQueryStringExists("table") then
	response.redirect "viewTables.asp"
end if 

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTbl = objCat.tables(strTableName)

%>
<div id="content-header">View Indexes: <%= strTableName%></div>
<div id="content-options">
[ <a href="<%= createRequestUrl("viewTable.asp", "table") %>">View Table</a> ]
[ <a href="<%= createRequestUrl("viewFields.asp", "table") %>">View Columns</a> ]
[ <a href="<%= createRequestUrl("addIndex.asp", "table") %>">Add Index</a> ]
</div>
<div id="content-body"> 
<table border="0" width="100%" cellspacing="0">
<tr>
	<td><b>Name</b></td>
	<td><b>Primary Key</b></td>
	<td><b>Columns</b></td>
	<td><b>Unique</b></td>
	<td><b>Index Nulls</b></td>
	<td><b>Clustered</b></td>
	<td width="20">&nbsp;</td>
</tr>
<%
bgtoggle = true

for each objIndex in objTbl.indexes
if bgtoggle then
	response.write "<tr bgcolor=""#ffffff"">" & vbnewline
else
	response.write "<tr>" & vbnewline
end if

response.write "<td>" & objIndex.name & "</td>" & vbnewline
response.write "<td>" & objIndex.primaryKey & "</td>" & vbnewline
response.write "<td>" 
dim objCol

for each objCol in objIndex.columns
	response.write objCol.name & " "

next 
response.write  "</td>" & vbnewline
response.write "<td>" & objIndex.unique & "</td>" & vbnewline
response.write "<td>" & objIndex.indexNulls & "</td>" & vbnewline
response.write "<td>" & objIndex.clustered & " </td>" & vbnewline
%>
<td align="right"><a href="deleteIndex.asp?table=<%= strTableName%>&amp;index=<%= objIndex.name%>"><img src="images/trash.gif" border="0" alt="Delete Index" /></a></td>
<%

response.write "</tr>" & vbnewline

bgtoggle = not bgtoggle
next	
%>
</table>
</div>

<%
set objIndex = nothing
set objTbl = nothing
set objCol = nothing
%>

<!--#include file="includes/bottom.asp"-->
<%
function formatKeyType(strType)
	select case strType
		case 1
			formatKeyType = "Primary"
		case 2
			formatKeyType = "Foreign"
		case 3
			formatKeyType = "Unique"
	end select
end function

function formatRule(strRule)
	select case strRule
		case 0
			formatRule = "None"
		case 1
			formatRule = "Cascade"
		case 2
			formatRule = "Set Default"
		case 3
			formatRule = "Set Null"
	end select
end function

%>
