<%@LANGUAGE="VBSCRIPT"%>
<%
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'*MyAccess database editor, create modify and view access databases online.
'*
'*  Copyright (C) 2005, Neal Clark, Clark Multimedia
'*  http://www.clarkmultimedia.com
'*
'*  Suggestions and comments should be sent to:
'*
'*  info@clarkmultimedia.com
'*
'*
'* This program is free software; you can redistribute it and/or
'* modify it under the terms of the GNU General Public License
'* as published by the Free Software Foundation; either version 2
'* of the License, or (at your option) any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; if not, write to the Free Software
'* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'*
'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>
<!--#include file="includes/inc_config.asp"-->
<%
if not schema_edit_pref then
        response.redirect "readonly.asp"
end if
%>
<!--#include file="includes/top.asp"-->
<%
dim strTableName
strTableName = request.querystring("table")

if not strTableName <> "" then
	response.redirect 'viewTables.asp"
end if 

dim objCat
dim objTbl
dim objKey

set objCat = server.createObject("ADOX.Catalog")
objCat.activeConnection = db_conn

set objTbl = objCat.tables(strTableName)

%>
<div id="content-header">View Keys: <%= strTableName%></div>
<div id="content-options">
[ <a href="viewTable.asp?table=<%= strTableName%>">View Table</a> ]
[ <a href="viewFields.asp?table=<%= strTableName%>">View Columns</a> ]
</div>
<div id="content-body"> 
<table border="0" width="100%" cellspacing="0">
<tr>
	<td><b>Name</b></td>
	<td><b>Type</b></td>
	<td><b>Columns</b></td>
	<td><b>RelatedTable</b></td>
	<td><b>Delete Rule</b></td>
	<td><b>Update Rule</b></td>
	<td width="20">&nbsp;</td>
</tr>
<%
dim bgtoggle
bgtoggle = true

for each objKey in objTbl.keys
if bgtoggle then
	response.write "<tr bgcolor=""#ffffff"">" & vbnewline
else
	response.write "<tr>" & vbnewline
end if

response.write "<td>" & objKey.name & "</td>" & vbnewline
response.write "<td>" & formatKeyType(objKey.type) & "</td>" & vbnewline
response.write "<td>" 
dim objCol

for each objCol in objKey.columns
	response.write objCol.name & " "

next 
response.write  "</td>" & vbnewline
response.write "<td>" & objKey.relatedTable & "</td>" & vbnewline
response.write "<td>" & formatRule(objKey.updateRule) & "</td>" & vbnewline
response.write "<td>" & formatRule(objKey.deleteRule) & " </td>" & vbnewline
%>
<td align="right"><a href="deleteKey.asp?table=<%= strTableName%>&amp;key=<%= objKey.name%>"><img src="images/trash.gif" border="0" alt="Delete Key" /></a></td>
<%


response.write "</tr>" & vbnewline

bgtoggle = not bgtoggle
next	
%>
</table>
</div>


<!--#include file="includes/bottom.asp"-->
<%
function formatKeyType(strType)
	select case strType
		case 1
			formatKeyType = "Primary"
		case 2
			formatKeyType = "Foreign"
		case 3
			formatKeyType = "Unique"
	end select
end function

function formatRule(strRule)
	select case strRule
		case 0
			formatRule = "None"
		case 1
			formatRule = "Cascade"
		case 2
			formatRule = "Set Default"
		case 3
			formatRule = "Set Null"
	end select
end function

%>
